Package writer2latex.office

# Class TableReader

java.lang.Object
writer2latex.office.TableReader

public class TableReader extends Object

This class reads a table from a table:table or table:sub-table element and presents it as an n by m grid. In addition it gives access to the absolute and relative widths of tables, columns and cells.

## Constructor Summary

Constructors
Constructor
Description
`TableReader(OfficeReader ofr, Element tableNode)`
The constructor reads a table from a table:table or table:sub-table node.

## Method Summary

Modifier and Type
Method
Description
`Element`
`getCell(int nRow, int nCol)`
`String`
`getCellStyleName(int nRow, int nCol)`
`String`
`getCellWidth(int nRow, int nCol)`
`TableLine`
`getCol(int nCol)`
`int`
`getColCount()`
`String`
`getColumnWidth(int nCol)`
`int`
`getFirstBodyRow()`
`int`
`getMaxColCount()`
`int`
`getMaxRowCount()`
`TableRange`
`getPrintRange(int nIndex)`
`int`
`getPrintRangeCount()`
`String`
`getRelColumnWidth(int nCol)`
`String`
`getRelTableWidth()`
`TableLine`
`getRow(int nRow)`
`int`
`getRowCount()`
`String`
`getTableName()`
`String`
`getTableStyleName()`
`String`
`getTableWidth()`
`boolean`
`isSubTable()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TableReader

public TableReader(OfficeReader ofr, Element tableNode)

The constructor reads a table from a table:table or table:sub-table node.

Parameters:
  `ofr` - the OfficeReader object to get style information from
  `tableNode` - the table node

## Method Details

### isSubTable

public boolean isSubTable()

### getTableName

public String getTableName()

### getTableStyleName

public String getTableStyleName()

### getTableWidth

public String getTableWidth()

### getRelTableWidth

public String getRelTableWidth()

### getRowCount

public int getRowCount()

### getMaxRowCount

public int getMaxRowCount()

### getFirstBodyRow

public int getFirstBodyRow()

### getColCount

public int getColCount()

### getMaxColCount

public int getMaxColCount()

### getColumnWidth

public String getColumnWidth(int nCol)

### getRelColumnWidth

public String getRelColumnWidth(int nCol)

### getCell

public Element getCell(int nRow, int nCol)

### getCellStyleName

public String getCellStyleName(int nRow, int nCol)

### getCellWidth

public String getCellWidth(int nRow, int nCol)

### getRow

public TableLine getRow(int nRow)

### getCol

public TableLine getCol(int nCol)

### getPrintRangeCount

public int getPrintRangeCount()

### getPrintRange

public TableRange getPrintRange(int nIndex)